#
# spec file for package lazarus-...
#
# Copyright (c) 2012 by Sascha Manns <saigkill@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define ver_lazarus 1.0.4

%define pkg_name dcpcrypt
Name:           lazarus-%{pkg_name}
Version:        2.0.4.1
Release:        lp150.1.1
Summary:        Cryptographic Component Library for Lazarus
Group:          Development/Languages/Other
License:        GPL-2.0 and LGPL-2.0 and MPL-1.1
URL:            http://www.cityinthesky.co.uk/
Source0:http://sourceforge.net/projects/lazarus-ccr/files/DCPcrypt/DCPCrypt%202.0.4.1/%{pkg_name}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{ver}-%{release}-root
BuildRequires:  unzip lazarus
Requires:	lazarus >= %{ver_lazarus}
Requires:	make

Provides:	dcprypt, dcprypt_laz
AutoReqProv:	no

%description
DCPcrypt is a collection of cryptographic components for the Borland
Delphi(tm), C++ Builder(tm) and Kylix(tm) programming languages. The 
supported versions are Delphi 4, 5, 6, 7, 2005, C++ Builder (3?), 4, 
5, (6?) and Kylix 1 (untested), 2 and 3 (untested).

%prep
%setup -q -c %{pkg_name}-%{version}

%install
mkdir -p %{buildroot}%{_libdir}/lazarus/components
mkdir -p %{buildroot}%{_libdir}/lazarus/components/%{pkg_name}
mkdir -p %{buildroot}%{_libdir}/lazarus/packager/globallinks
echo '$(LazarusDir)/components/%{pkg_name}/dcpcrypt.lpk' >  %{buildroot}%{_libdir}/lazarus/packager/globallinks/%{pkg_name}-%{version}.lpl
echo '$(LazarusDir)/components/%{pkg_name}/dcpcrypt_laz.lpk' >  %{buildroot}%{_libdir}/lazarus/packager/globallinks/%{pkg_name}_laz-%{version}.lpl
cp -af %{pkg_name}-%{version}/* %{buildroot}%{_libdir}/lazarus/components/%{pkg_name}/

%files
%defattr(-,root,root)
%{_libdir}/lazarus/components/*
%{_libdir}/lazarus/packager/globallinks/*

%changelog
* Fri Jul 19 2013 fa0sck@gmail.com
- Build for openSUSE
